source: src/libcfa/Makefile.in @ f773f67

aaron-thesisarm-ehcleanup-dtorsdeferred_resndemanglerjacob/cs343-translationjenkins-sandboxnew-astnew-ast-unique-exprnew-envno_listpersistent-indexerresolv-newwith_gc
Last change on this file since f773f67 was f773f67, checked in by Thierry Delisle <tdelisle@…>, 5 years ago

added assertf to libcfa

  • Property mode set to 100644
File size: 22.3 KB
Line 
1# Makefile.in generated by automake 1.11.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18######################## -*- Mode: Makefile-Automake -*- ######################
19###############################################################################
20
21
22
23VPATH = @srcdir@
24pkgdatadir = $(datadir)/@PACKAGE@
25pkgincludedir = $(includedir)/@PACKAGE@
26pkglibdir = $(libdir)/@PACKAGE@
27pkglibexecdir = $(libexecdir)/@PACKAGE@
28am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29install_sh_DATA = $(install_sh) -c -m 644
30install_sh_PROGRAM = $(install_sh) -c
31install_sh_SCRIPT = $(install_sh) -c
32INSTALL_HEADER = $(INSTALL_DATA)
33transform = $(program_transform_name)
34NORMAL_INSTALL = :
35PRE_INSTALL = :
36POST_INSTALL = :
37NORMAL_UNINSTALL = :
38PRE_UNINSTALL = :
39POST_UNINSTALL = :
40subdir = src/libcfa
41DIST_COMMON = $(nobase_include_HEADERS) $(srcdir)/Makefile.am \
42        $(srcdir)/Makefile.in
43ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44am__aclocal_m4_deps = $(top_srcdir)/configure.ac
45am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46        $(ACLOCAL_M4)
47mkinstalldirs = $(install_sh) -d
48CONFIG_HEADER = $(top_builddir)/config.h
49CONFIG_CLEAN_FILES =
50CONFIG_CLEAN_VPATH_FILES =
51am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
52am__vpath_adj = case $$p in \
53    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
54    *) f=$$p;; \
55  esac;
56am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
57am__install_max = 40
58am__nobase_strip_setup = \
59  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
60am__nobase_strip = \
61  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
62am__nobase_list = $(am__nobase_strip_setup); \
63  for p in $$list; do echo "$$p $$p"; done | \
64  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
65  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
66    if (++n[$$2] == $(am__install_max)) \
67      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
68    END { for (dir in files) print dir, files[dir] }'
69am__base_list = \
70  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
71  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
72am__uninstall_files_from_dir = { \
73  test -z "$$files" \
74    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
75    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
76         $(am__cd) "$$dir" && rm -f $$files; }; \
77  }
78am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" \
79        "$(DESTDIR)$(includedir)"
80LIBRARIES = $(lib_LIBRARIES)
81AR = ar
82ARFLAGS = cru
83AM_V_AR = $(am__v_AR_@AM_V@)
84am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
85am__v_AR_0 = @echo "  AR    " $@;
86AM_V_at = $(am__v_at_@AM_V@)
87am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
88am__v_at_0 = @
89libcfa_a_AR = $(AR) $(ARFLAGS)
90libcfa_a_LIBADD =
91am__dirstamp = $(am__leading_dot)dirstamp
92am__objects_1 = limits.$(OBJEXT) stdlib.$(OBJEXT) math.$(OBJEXT) \
93        iostream.$(OBJEXT) fstream.$(OBJEXT) iterator.$(OBJEXT) \
94        rational.$(OBJEXT) assert.$(OBJEXT) \
95        containers/vector.$(OBJEXT) concurrency/threads.$(OBJEXT)
96am_libcfa_a_OBJECTS = libcfa-prelude.$(OBJEXT) $(am__objects_1)
97libcfa_a_OBJECTS = $(am_libcfa_a_OBJECTS)
98DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
99depcomp = $(SHELL) $(top_srcdir)/automake/depcomp
100am__depfiles_maybe = depfiles
101am__mv = mv -f
102COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
103        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
104AM_V_CC = $(am__v_CC_@AM_V@)
105am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
106am__v_CC_0 = @echo "  CC    " $@;
107CCLD = $(CC)
108LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
109AM_V_CCLD = $(am__v_CCLD_@AM_V@)
110am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
111am__v_CCLD_0 = @echo "  CCLD  " $@;
112AM_V_GEN = $(am__v_GEN_@AM_V@)
113am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
114am__v_GEN_0 = @echo "  GEN   " $@;
115SOURCES = $(libcfa_a_SOURCES)
116DIST_SOURCES = $(libcfa_a_SOURCES)
117DATA = $(cfalib_DATA)
118HEADERS = $(nobase_include_HEADERS)
119ETAGS = etags
120CTAGS = ctags
121DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
122ACLOCAL = @ACLOCAL@
123ALLOCA = @ALLOCA@
124AMTAR = @AMTAR@
125AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
126AUTOCONF = @AUTOCONF@
127AUTOHEADER = @AUTOHEADER@
128AUTOMAKE = @AUTOMAKE@
129AWK = @AWK@
130BACKEND_CC = @BACKEND_CC@
131CC = ${abs_top_srcdir}/src/driver/cfa
132CCDEPMODE = @CCDEPMODE@
133CFA_BACKEND_CC = @CFA_BACKEND_CC@
134CFA_BINDIR = @CFA_BINDIR@
135CFA_FLAGS = @CFA_FLAGS@
136CFA_INCDIR = @CFA_INCDIR@
137CFA_LIBDIR = @CFA_LIBDIR@
138CFA_PREFIX = @CFA_PREFIX@
139CFLAGS = -quiet -no-include-stdhdr -g -Wall -Wno-unused-function @CFA_FLAGS@ -B${abs_top_srcdir}/src/driver -XCFA -t # TEMPORARY: does not build with -O2
140CPP = @CPP@
141CPPFLAGS = @CPPFLAGS@
142CXX = @CXX@
143CXXDEPMODE = @CXXDEPMODE@
144CXXFLAGS = @CXXFLAGS@
145CYGPATH_W = @CYGPATH_W@
146DEFS = @DEFS@
147DEPDIR = @DEPDIR@
148ECHO_C = @ECHO_C@
149ECHO_N = @ECHO_N@
150ECHO_T = @ECHO_T@
151EGREP = @EGREP@
152EXEEXT = @EXEEXT@
153GREP = @GREP@
154INSTALL = @INSTALL@
155INSTALL_DATA = @INSTALL_DATA@
156INSTALL_PROGRAM = @INSTALL_PROGRAM@
157INSTALL_SCRIPT = @INSTALL_SCRIPT@
158INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
159LDFLAGS = @LDFLAGS@
160LEX = @LEX@
161LEXLIB = @LEXLIB@
162LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
163LIBOBJS = @LIBOBJS@
164LIBS = @LIBS@
165LTLIBOBJS = @LTLIBOBJS@
166MAINT = @MAINT@
167MAKEINFO = @MAKEINFO@
168MKDIR_P = @MKDIR_P@
169OBJEXT = @OBJEXT@
170PACKAGE = @PACKAGE@
171PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
172PACKAGE_NAME = @PACKAGE_NAME@
173PACKAGE_STRING = @PACKAGE_STRING@
174PACKAGE_TARNAME = @PACKAGE_TARNAME@
175PACKAGE_URL = @PACKAGE_URL@
176PACKAGE_VERSION = @PACKAGE_VERSION@
177PATH_SEPARATOR = @PATH_SEPARATOR@
178RANLIB = @RANLIB@
179SET_MAKE = @SET_MAKE@
180SHELL = @SHELL@
181STRIP = @STRIP@
182VERSION = @VERSION@
183YACC = @YACC@
184YFLAGS = @YFLAGS@
185abs_builddir = @abs_builddir@
186abs_srcdir = @abs_srcdir@
187abs_top_builddir = @abs_top_builddir@
188abs_top_srcdir = @abs_top_srcdir@
189ac_ct_CC = @ac_ct_CC@
190ac_ct_CXX = @ac_ct_CXX@
191am__include = @am__include@
192am__leading_dot = @am__leading_dot@
193am__quote = @am__quote@
194am__tar = @am__tar@
195am__untar = @am__untar@
196bindir = @bindir@
197build_alias = @build_alias@
198builddir = @builddir@
199datadir = @datadir@
200datarootdir = @datarootdir@
201docdir = @docdir@
202dvidir = @dvidir@
203exec_prefix = @exec_prefix@
204host_alias = @host_alias@
205htmldir = @htmldir@
206includedir = @includedir@
207infodir = @infodir@
208install_sh = @install_sh@
209libdir = @libdir@
210libexecdir = @libexecdir@
211localedir = @localedir@
212localstatedir = @localstatedir@
213mandir = @mandir@
214mkdir_p = @mkdir_p@
215oldincludedir = @oldincludedir@
216pdfdir = @pdfdir@
217prefix = @prefix@
218program_transform_name = @program_transform_name@
219psdir = @psdir@
220sbindir = @sbindir@
221sharedstatedir = @sharedstatedir@
222srcdir = @srcdir@
223sysconfdir = @sysconfdir@
224target_alias = @target_alias@
225top_build_prefix = @top_build_prefix@
226top_builddir = @top_builddir@
227top_srcdir = @top_srcdir@
228
229# create object files in directory with source files
230AUTOMAKE_OPTIONS = subdir-objects
231lib_LIBRARIES = libcfa.a
232
233# put into lib for now
234cfalibdir = ${libdir}
235cfalib_DATA = builtins.cf extras.cf prelude.cf
236MAINTAINERCLEANFILES = builtins.cf extras.cf ${addprefix ${libdir}/,${cfalib_DATA}} ${addprefix ${libdir}/,${lib_LIBRARIES}}
237headers = limits stdlib math iostream fstream iterator rational assert containers/vector concurrency/threads
238runtimehdrs = concurrency
239libobjs = ${headers:=.o}
240libcfa_a_SOURCES = libcfa-prelude.c ${headers:=.c}
241stdhdr = ${shell echo stdhdr/*}
242nobase_include_HEADERS = ${headers} ${stdhdr}
243CLEANFILES = libcfa-prelude.c
244all: all-am
245
246.SUFFIXES:
247.SUFFIXES: .c .o .obj
248$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
249        @for dep in $?; do \
250          case '$(am__configure_deps)' in \
251            *$$dep*) \
252              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
253                && { if test -f $@; then exit 0; else break; fi; }; \
254              exit 1;; \
255          esac; \
256        done; \
257        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/libcfa/Makefile'; \
258        $(am__cd) $(top_srcdir) && \
259          $(AUTOMAKE) --foreign src/libcfa/Makefile
260.PRECIOUS: Makefile
261Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
262        @case '$?' in \
263          *config.status*) \
264            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
265          *) \
266            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
267            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
268        esac;
269
270$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
271        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
272
273$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
274        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
275$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
276        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
277$(am__aclocal_m4_deps):
278install-libLIBRARIES: $(lib_LIBRARIES)
279        @$(NORMAL_INSTALL)
280        test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
281        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
282        list2=; for p in $$list; do \
283          if test -f $$p; then \
284            list2="$$list2 $$p"; \
285          else :; fi; \
286        done; \
287        test -z "$$list2" || { \
288          echo " $(INSTALL_DATA) $$list2 '$(DESTDIR)$(libdir)'"; \
289          $(INSTALL_DATA) $$list2 "$(DESTDIR)$(libdir)" || exit $$?; }
290        @$(POST_INSTALL)
291        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
292        for p in $$list; do \
293          if test -f $$p; then \
294            $(am__strip_dir) \
295            echo " ( cd '$(DESTDIR)$(libdir)' && $(RANLIB) $$f )"; \
296            ( cd "$(DESTDIR)$(libdir)" && $(RANLIB) $$f ) || exit $$?; \
297          else :; fi; \
298        done
299
300uninstall-libLIBRARIES:
301        @$(NORMAL_UNINSTALL)
302        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
303        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
304        dir='$(DESTDIR)$(libdir)'; $(am__uninstall_files_from_dir)
305
306clean-libLIBRARIES:
307        -test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES)
308containers/$(am__dirstamp):
309        @$(MKDIR_P) containers
310        @: > containers/$(am__dirstamp)
311containers/$(DEPDIR)/$(am__dirstamp):
312        @$(MKDIR_P) containers/$(DEPDIR)
313        @: > containers/$(DEPDIR)/$(am__dirstamp)
314containers/vector.$(OBJEXT): containers/$(am__dirstamp) \
315        containers/$(DEPDIR)/$(am__dirstamp)
316concurrency/$(am__dirstamp):
317        @$(MKDIR_P) concurrency
318        @: > concurrency/$(am__dirstamp)
319concurrency/$(DEPDIR)/$(am__dirstamp):
320        @$(MKDIR_P) concurrency/$(DEPDIR)
321        @: > concurrency/$(DEPDIR)/$(am__dirstamp)
322concurrency/threads.$(OBJEXT): concurrency/$(am__dirstamp) \
323        concurrency/$(DEPDIR)/$(am__dirstamp)
324libcfa.a: $(libcfa_a_OBJECTS) $(libcfa_a_DEPENDENCIES) $(EXTRA_libcfa_a_DEPENDENCIES)
325        $(AM_V_at)-rm -f libcfa.a
326        $(AM_V_AR)$(libcfa_a_AR) libcfa.a $(libcfa_a_OBJECTS) $(libcfa_a_LIBADD)
327        $(AM_V_at)$(RANLIB) libcfa.a
328
329mostlyclean-compile:
330        -rm -f *.$(OBJEXT)
331        -rm -f concurrency/threads.$(OBJEXT)
332        -rm -f containers/vector.$(OBJEXT)
333
334distclean-compile:
335        -rm -f *.tab.c
336
337@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/assert.Po@am__quote@
338@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fstream.Po@am__quote@
339@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iostream.Po@am__quote@
340@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iterator.Po@am__quote@
341@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcfa-prelude.Po@am__quote@
342@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/limits.Po@am__quote@
343@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/math.Po@am__quote@
344@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rational.Po@am__quote@
345@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stdlib.Po@am__quote@
346@AMDEP_TRUE@@am__include@ @am__quote@concurrency/$(DEPDIR)/threads.Po@am__quote@
347@AMDEP_TRUE@@am__include@ @am__quote@containers/$(DEPDIR)/vector.Po@am__quote@
348
349.c.o:
350@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
351@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
352@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
353@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
354@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
355@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
356
357.c.obj:
358@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
359@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
360@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
361@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
362@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
363@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
364install-cfalibDATA: $(cfalib_DATA)
365        @$(NORMAL_INSTALL)
366        test -z "$(cfalibdir)" || $(MKDIR_P) "$(DESTDIR)$(cfalibdir)"
367        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
368        for p in $$list; do \
369          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
370          echo "$$d$$p"; \
371        done | $(am__base_list) | \
372        while read files; do \
373          echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(cfalibdir)'"; \
374          $(INSTALL_DATA) $$files "$(DESTDIR)$(cfalibdir)" || exit $$?; \
375        done
376
377uninstall-cfalibDATA:
378        @$(NORMAL_UNINSTALL)
379        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
380        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
381        dir='$(DESTDIR)$(cfalibdir)'; $(am__uninstall_files_from_dir)
382install-nobase_includeHEADERS: $(nobase_include_HEADERS)
383        @$(NORMAL_INSTALL)
384        test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
385        @list='$(nobase_include_HEADERS)'; test -n "$(includedir)" || list=; \
386        $(am__nobase_list) | while read dir files; do \
387          xfiles=; for file in $$files; do \
388            if test -f "$$file"; then xfiles="$$xfiles $$file"; \
389            else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
390          test -z "$$xfiles" || { \
391            test "x$$dir" = x. || { \
392              echo "$(MKDIR_P) '$(DESTDIR)$(includedir)/$$dir'"; \
393              $(MKDIR_P) "$(DESTDIR)$(includedir)/$$dir"; }; \
394            echo " $(INSTALL_HEADER) $$xfiles '$(DESTDIR)$(includedir)/$$dir'"; \
395            $(INSTALL_HEADER) $$xfiles "$(DESTDIR)$(includedir)/$$dir" || exit $$?; }; \
396        done
397
398uninstall-nobase_includeHEADERS:
399        @$(NORMAL_UNINSTALL)
400        @list='$(nobase_include_HEADERS)'; test -n "$(includedir)" || list=; \
401        $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
402        dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
403
404ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
405        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
406        unique=`for i in $$list; do \
407            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
408          done | \
409          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
410              END { if (nonempty) { for (i in files) print i; }; }'`; \
411        mkid -fID $$unique
412tags: TAGS
413
414TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
415                $(TAGS_FILES) $(LISP)
416        set x; \
417        here=`pwd`; \
418        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
419        unique=`for i in $$list; do \
420            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
421          done | \
422          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
423              END { if (nonempty) { for (i in files) print i; }; }'`; \
424        shift; \
425        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
426          test -n "$$unique" || unique=$$empty_fix; \
427          if test $$# -gt 0; then \
428            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
429              "$$@" $$unique; \
430          else \
431            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
432              $$unique; \
433          fi; \
434        fi
435ctags: CTAGS
436CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
437                $(TAGS_FILES) $(LISP)
438        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
439        unique=`for i in $$list; do \
440            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
441          done | \
442          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
443              END { if (nonempty) { for (i in files) print i; }; }'`; \
444        test -z "$(CTAGS_ARGS)$$unique" \
445          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
446             $$unique
447
448GTAGS:
449        here=`$(am__cd) $(top_builddir) && pwd` \
450          && $(am__cd) $(top_srcdir) \
451          && gtags -i $(GTAGS_ARGS) "$$here"
452
453distclean-tags:
454        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
455
456distdir: $(DISTFILES)
457        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
458        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
459        list='$(DISTFILES)'; \
460          dist_files=`for file in $$list; do echo $$file; done | \
461          sed -e "s|^$$srcdirstrip/||;t" \
462              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
463        case $$dist_files in \
464          */*) $(MKDIR_P) `echo "$$dist_files" | \
465                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
466                           sort -u` ;; \
467        esac; \
468        for file in $$dist_files; do \
469          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
470          if test -d $$d/$$file; then \
471            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
472            if test -d "$(distdir)/$$file"; then \
473              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
474            fi; \
475            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
476              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
477              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
478            fi; \
479            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
480          else \
481            test -f "$(distdir)/$$file" \
482            || cp -p $$d/$$file "$(distdir)/$$file" \
483            || exit 1; \
484          fi; \
485        done
486check-am: all-am
487check: check-am
488all-am: Makefile $(LIBRARIES) $(DATA) $(HEADERS)
489installdirs:
490        for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" "$(DESTDIR)$(includedir)"; do \
491          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
492        done
493install: install-am
494install-exec: install-exec-am
495install-data: install-data-am
496uninstall: uninstall-am
497
498install-am: all-am
499        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
500
501installcheck: installcheck-am
502install-strip:
503        if test -z '$(STRIP)'; then \
504          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
505            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
506              install; \
507        else \
508          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
509            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
510            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
511        fi
512mostlyclean-generic:
513
514clean-generic:
515        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
516
517distclean-generic:
518        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
519        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
520        -rm -f concurrency/$(DEPDIR)/$(am__dirstamp)
521        -rm -f concurrency/$(am__dirstamp)
522        -rm -f containers/$(DEPDIR)/$(am__dirstamp)
523        -rm -f containers/$(am__dirstamp)
524
525maintainer-clean-generic:
526        @echo "This command is intended for maintainers to use"
527        @echo "it deletes files that may require special tools to rebuild."
528        -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
529clean: clean-am
530
531clean-am: clean-generic clean-libLIBRARIES mostlyclean-am
532
533distclean: distclean-am
534        -rm -rf ./$(DEPDIR) concurrency/$(DEPDIR) containers/$(DEPDIR)
535        -rm -f Makefile
536distclean-am: clean-am distclean-compile distclean-generic \
537        distclean-tags
538
539dvi: dvi-am
540
541dvi-am:
542
543html: html-am
544
545html-am:
546
547info: info-am
548
549info-am:
550
551install-data-am: install-cfalibDATA install-nobase_includeHEADERS
552
553install-dvi: install-dvi-am
554
555install-dvi-am:
556
557install-exec-am: install-libLIBRARIES
558
559install-html: install-html-am
560
561install-html-am:
562
563install-info: install-info-am
564
565install-info-am:
566
567install-man:
568
569install-pdf: install-pdf-am
570
571install-pdf-am:
572
573install-ps: install-ps-am
574
575install-ps-am:
576
577installcheck-am:
578
579maintainer-clean: maintainer-clean-am
580        -rm -rf ./$(DEPDIR) concurrency/$(DEPDIR) containers/$(DEPDIR)
581        -rm -f Makefile
582maintainer-clean-am: distclean-am maintainer-clean-generic \
583        maintainer-clean-local
584
585mostlyclean: mostlyclean-am
586
587mostlyclean-am: mostlyclean-compile mostlyclean-generic
588
589pdf: pdf-am
590
591pdf-am:
592
593ps: ps-am
594
595ps-am:
596
597uninstall-am: uninstall-cfalibDATA uninstall-libLIBRARIES \
598        uninstall-nobase_includeHEADERS
599
600.MAKE: install-am install-strip
601
602.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
603        clean-libLIBRARIES ctags distclean distclean-compile \
604        distclean-generic distclean-tags distdir dvi dvi-am html \
605        html-am info info-am install install-am install-cfalibDATA \
606        install-data install-data-am install-dvi install-dvi-am \
607        install-exec install-exec-am install-html install-html-am \
608        install-info install-info-am install-libLIBRARIES install-man \
609        install-nobase_includeHEADERS install-pdf install-pdf-am \
610        install-ps install-ps-am install-strip installcheck \
611        installcheck-am installdirs maintainer-clean \
612        maintainer-clean-generic maintainer-clean-local mostlyclean \
613        mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
614        tags uninstall uninstall-am uninstall-cfalibDATA \
615        uninstall-libLIBRARIES uninstall-nobase_includeHEADERS
616
617
618# create extra forward types/declarations to reduce inclusion of library files
619extras.cf : extras.regx extras.c
620        ${AM_V_GEN}@BACKEND_CC@ @CFA_FLAGS@ -E ${srcdir}/extras.c | grep -f extras.regx > ${srcdir}/extras.cf
621
622# create forward declarations for gcc builtins
623builtins.cf : builtins.c
624        ${AM_V_GEN}if [ -e $< ] ; then \
625                @BACKEND_CC@ -E -P $^ | sed -e "/targetm/s/.*//" -e "/_Decimal/s/.*//" -e "s/void (const char \*)0();//" -e "s/\"//g" -e "s/\(__builtin_\) /\1/" > $@ ; \
626        fi
627
628builtins.c : builtins.def prototypes.awk
629        ${AM_V_GEN}if [ -e $< ] ; then \
630                @BACKEND_CC@ -E prototypes.c | awk -f prototypes.awk > $@ ; \
631        fi
632
633builtins.def :
634
635prototypes.awk :
636
637#--------------------------------------------------
638
639libcfa-prelude.c : ${srcdir}/prelude.cf ${srcdir}/extras.cf ${srcdir}/builtins.cf
640        ${AM_V_GEN}${abs_top_srcdir}/src/driver/cfa-cpp -l ${srcdir}/prelude.cf $@  # use src/cfa-cpp as not in lib until after install
641
642libcfa-prelude.o : libcfa-prelude.c
643         ${AM_V_GEN}@BACKEND_CC@ @CFA_FLAGS@ -c -o $@ $<
644
645# extensionless header files are overridden by -o flag in default makerule => explicitly override default rule to silently do nothing
646% : %.c
647        @true
648
649${libobjs} : ${abs_top_srcdir}/src/driver/cfa-cpp ${cfalib_DATA} # add dependency to cfa-cpp so all libraries are rebuilt with new translator
650
651maintainer-clean-local:
652        -rm -rf ${includedir}/*
653
654# Tell versions [3.59,3.63) of GNU make to not export all variables.
655# Otherwise a system limit (for SysV at least) may be exceeded.
656.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.